package com.example.lexilearn.ui.theme

import androidx.compose.material3.Typography
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.sp
import com.example.lexilearn.R
val _fredokaOne = FontFamily(
    Font(R.font.fredoka) // Pastikan nama file sesuai
)

// Set of Material typography styles to start with
val Typography = Typography(

    displayLarge = TextStyle(fontFamily = _fredokaOne, fontSize = 57.sp),  // Gaya displayLarge
    displayMedium = TextStyle(fontFamily = _fredokaOne, fontSize = 45.sp),  // Gaya displayMedium
    displaySmall = TextStyle(fontFamily = _fredokaOne, fontSize = 36.sp),   // Gaya displaySmall

    headlineLarge = TextStyle(fontFamily = _fredokaOne, fontSize = 32.sp),  // Gaya headlineLarge
    headlineMedium = TextStyle(fontFamily = _fredokaOne, fontSize = 28.sp), // Gaya headlineMedium
    headlineSmall = TextStyle(fontFamily = _fredokaOne, fontSize = 24.sp),  // Gaya headlineSmall

    titleLarge = TextStyle(fontFamily = _fredokaOne, fontSize = 22.sp),     // Gaya titleLarge
    titleMedium = TextStyle(fontFamily = _fredokaOne, fontSize = 20.sp),    // Gaya titleMedium
    titleSmall = TextStyle(fontFamily = _fredokaOne, fontSize = 18.sp),     // Gaya titleSmall

    bodyLarge = TextStyle(fontFamily = _fredokaOne, fontSize = 16.sp),      // Gaya bodyLarge
    bodyMedium = TextStyle(fontFamily = _fredokaOne, fontSize = 14.sp),     // Gaya bodyMedium
    bodySmall = TextStyle(fontFamily = _fredokaOne, fontSize = 12.sp),      // Gaya bodySmall

    labelLarge = TextStyle(fontFamily = _fredokaOne, fontSize = 14.sp),     // Gaya labelLarge
    labelMedium = TextStyle(fontFamily = _fredokaOne, fontSize = 12.sp),    // Gaya labelMedium
    labelSmall = TextStyle(fontFamily = _fredokaOne, fontSize = 10.sp)      // Gaya labelSm
)

